gnutls_memset(3)

NAME
gnutls_memset - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_memset(void * data, int c, size_t size);

ARGUMENTS

void * data
    the memory to set

int c
    the constant byte to fill the memory with

size_t size
    the size of memory

DESCRIPTION
This function will operate similarly to memset(), but will not be optimized out by the compiler.

RETURNS
void.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/